Name: grcm
Version: 0.1.5
Release: alt3

Summary: Gnome Remote Connection Manager
Summary (ru_RU.UTF-8): Диспетчер соединений с удалёнными серверами для Gnome
License: GPL
Group: Networking/Remote access
Url: http://grcm.sourceforge.net
Source0: %name-%version.tar.gz
Source1: ru.po
Patch0: %name-%version-ru.patch
Patch1: %name-%version-moretypes.patch
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig rootfiles scrollkeeper

%description
Gnome Remote Connection Manager is a gnome application that stores information
about remote connections. It gives you a GUI program to launch applications
like telnet, shh, or rdesktop. It is highly configurable as to what type of
applications it launches, so you are not limited to the three listed.

%description -l ru_RU.UTF-8
Диспетчер соединений хранит сведения о соединениях с удалёнными серверами и 
предоставляет графический интерфейс для запуска telnet, ssh или rdesktop. 
Программа отличается гибкостью настройки и позволяет запускать различные типы 
клиентов для удалённых серверов, не ограничиваясь тремя перечисленными.    

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cat %SOURCE1 > po/ru.po

%build
%configure
%make_build

%install
%makeinstall
%find_lang %name
# menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name):command="%_bindir/%name" needs="x11" \
section="Networking/Remote access" title="Remote Connections" \
longtitle="Remote Connection Manager" icon="%_datadir/pixmaps/%name/icon.png"
EOF

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%doc AUTHORS README
%_bindir/*
%_datadir/gnome/help/%name
%_datadir/omf/%name
%_datadir/pixmaps/%name/*.png
%_menudir/%name

%changelog
* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.5-alt3
- buildfix

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.5-alt2
- Dependencies fixed

* Wed Apr 30 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.5-alt1
- ALTLinux build, translation, more preconfigured stuff
